EXTRACTATTR(1)

NAME
extractattr - extract element attributes from UI and XML GUI files

SYNOPSIS
extractattr --attr=name [ --attr=name ... ] [ --context=name ] file ...

extractattr --help

DESCRIPTION
extractattr finds all of the given element attributes within the given files. It then writes the corresponding i18n() calls to standard output (usually redirected to rc.cpp) so that xgettext can parse them. Only the attributes specified by --attr will be extracted.

Both Qt designer (.ui) files and XML GUI (.rc) files are understood.

This utility is part of the KDE Software Development Kit.

OPTIONS

--attr=name
    Specifies an attribute to be extracted. This option may be used multiple times.
    The name argument must be of the form Element,attribute or Element,attribute,context.
    The context is optional, and is used in constructing the i18n() calls. If specified it will override the default context set by --context.

--context=name
    Give all i18n() calls the given context: i18n("name", ...).

--help
    Display a summary of options.

EXAMPLE
extractattr --attr=Title,data --attr=Description,data,Stencils file.ui

AUTHOR
This utility was written by Richard Evans <rich@ridas.com> and others.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).